\section{Introduction}
\label{sec:ttH-introduction}

The production of a Higgs boson in association with a top-quark pair ($\tth$) or a single top quark ($tH$) is going to play a very important role in the
Higgs boson physics program of Run~2 of the LHC since it can provide
a direct measurement of the top-quark Yukawa coupling.

In this context, the $\tth/tH$ working group has discussed the
current status and future plans of $\tth$ and $tH$ experimental
analyses and has reviewed the status of theoretical predictions, for
both signals and backgrounds. The emphasis has been on identifying and
characterizing state-of-the art theoretical predictions and tools for
signals and backgrounds in all relevant $\tth$ and $tH$ searches,
as well as on identifying various theory-related sources of
uncertainties and prioritizing them according to both their impact on
experimental analyses and the likelihood of theory improvements in the
near future.

On top of providing tables of cross sections for both $\tth$ and
$tH$ production, which include all most up-to-date calculations of QCD
and electroweak (EW) corrections, as well as the estimated theoretical
uncertainty from scale variations, $\als$, and parton distribution
functions (PDFs), we review in \Sref{sec:ttH-XS} the
next-to-leading-order (NLO) QCD+EW predictions for $\tth$
inclusive production, and in \Sref{sec:tH_NLO_QCD} the NLO QCD
predictions for $tH$ production. Recent developments in improving the
prediction for $\tth$ production by either including off-shell
effects or subsets of next-to-next-to-leading-order (NNLO) QCD
corrections are discussed in \Srefs{sec:ttH-off-shell} and~\ref{sec:ttH-resummation}, respectively.
Dedicated studies of some of the main background processes are
presented in \Sref{se:ttH-ttV} ($t\bar{t}V$ and $t\bar{t} VV'$ with $V,V'=W^\pm,Z$)
and \Sref{sec:ttH-ttbb} ($t\bar{t}b\bar{b}$).

One major activity of this working group has been the
comparison and validation of state-of-the-art theoretical tools
available to calculate both signal and backgrounds including the
proper matching of fixed-order NLO QCD corrections and parton-shower evolution.
\Sref{sec:ttH-nlo-qcd+ps} presents such comparison for
$\tth$ production, while \Srefs{sec:ttH-ttV-tools} and~\ref{sec:ttH-ttbb} present
analogous studies for the $t\bar{t}V$ ($V=W^\pm,Z$) and $t\bar{t}b\bar{b}$ backgrounds.

